Skip to content
POST /unified/ats/applications/reject

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

application_idstring

The ID of the application to reject.

1 supported1 required
Greenhouse
required
reason_idstring

The ID of the reject reason to reject the application with.

1 supported1 required
Greenhouse
required
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

user_idstring

The ID of the user rejecting the application. Required if on_behalf_of_user_id is not set in the Variables section of an integrated account.

1 supported
Greenhouse
supported

Response Body

applied_atstring · date-time

The date and time of the application's creation

1 supported
Greenhouse
supported
attachmentsobject[]

The application's attachments

1 supported
Greenhouse
supported
idstring
required·

The attachment's unique identifier

applicationobject

The attachment's application

1 property
idstring

Unique identifier of the application

attachment_typestring

The attachment's type

candidateobject

The attachment's candidate

1 property
idstring

Unique identifier of the candidate

created_atstring · date-time

The date and time of the attachment's creation

file_namestring

The attachment's file_name

file_urlstring

The attachment's file_url

jobobject

The attachment's job

1 property
idstring

Unique identifier of the job

updated_atstring · date-time

The date and time of the attachment's last update

candidateobject

The application's candidate

1 supported
Greenhouse
supported
idstring

Unique identifier of the candidate

created_atstring · date-time

The date and time of the application's creation

1 supported
Greenhouse
supported
credited_toobject

The application's credited_to

1 supported
Greenhouse
supported
emailsobject[]
3 properties
emailstring

Email of the user

is_primaryboolean

Whether the email is primary

typestring

Type of the email

first_namestring

First name of the user

idstring

Unique identifier of the user

last_namestring

Last name of the user

current_stageobject

The application's current_stage

1 supported
Greenhouse
supported
created_atstring · date-time

The date and time of the application's current_stage's creation

idstring

The application's current_stage's unique identifier

jobobject

The application's current_stage's job

1 property
idstring

Unique identifier of the job

namestring

The application's current_stage's name

updated_atstring · date-time

The date and time of the application's current_stage's last update

idstring

The application's unique identifier

1 supported
Greenhouse
supported
jobobject

The application's job

1 supported
Greenhouse
supported
idstring

Unique identifier of the job

reject_reasonstring

The application's reject_reason

1 supported
Greenhouse
supported
rejected_atstring · date-time

The date and time of the application's rejection

1 supported
Greenhouse
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

sourceobject

The application's source

1 supported
Greenhouse
supported
idstring

The application's source's unique identifier

namestring

The application's source's name

updated_atstring · date-time

The date and time of the application's last update

1 supported
Greenhouse
supported
curl -X POST 'https://api.truto.one/unified/ats/applications/reject?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "application_id": "your_application_id",
  "reason_id": "your_reason_id",
  "user_id": "your_user_id",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "application_id": "your_application_id",
  "reason_id": "your_reason_id",
  "user_id": "your_user_id",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ats/applications/reject?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ats/applications/reject"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "application_id": "your_application_id",
    "reason_id": "your_reason_id",
    "user_id": "your_user_id",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: reject
const result = await truto.unifiedApi.reject(
  'ats',
  'applications',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: reject
    result = await truto_api.unified_api.reject(
        "ats",
        "applications",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())